#ifdef GL_ES
precision mediump float;
#endif

uniform sampler2D u_texture;
varying vec2 v_texCoord;
varying vec4 v_fragmentColor;


void main(void)
{
    vec4 color = v_fragmentColor * texture2D(u_texture, v_texCoord);
    
//    float grey = dot(col.rgb, vec3(1.0, 1.0, 1.0));
//    gl_FragColor = vec4(color.r, color.g, color.b, 0);
    
    gl_FragColor.xyz = vec3(0.2*color.r + 0.2*color.g + 0.2*color.b);
    gl_FragColor.w = color.w;
}
