#ifdef GL_ES
precision mediump float;
#endif

varying vec4 v_fragmentColor;
varying vec2 v_texCoord;

void main(void)
{
    vec4 c = texture2D(CC_Texture0, v_texCoord);
    float darkNum = 0.75;
    vec4 final = c;
    final.r = c.r * darkNum;
    final.g = c.g * darkNum;
    final.b = c.b * darkNum;
    
    gl_FragColor = final;
}